package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.Cellular;

import java.util.List;

@ApiModel(
        value = "CellularBeanWrapper",
        description = "This class carries all information related to cellularBean."
)
public class CellularBeanWrapper {

    @ApiModelProperty(
            name = "deviceIDs",
            value = "List of device identifiers.",
            required = true
    )
    private List<String> deviceIDs;
    @ApiModelProperty(
            name = "operation",
            value = "Cellular operations.",
            required = true
    )
    private Cellular operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public Cellular getOperation() {
        return operation;
    }

    public void setOperation(Cellular operation) {
        this.operation = operation;
    }
}
